libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_parse_file Struct Reference

Describes an entire file format. More...

`#include <dvb-file.h>`

## Data Fields
int | has_delsys_id
char * | delimiter
struct dvb_parse_struct | formats []

## Detailed Description

Describes an entire file format.

Parameters

  has_delsys_id | A non-zero value indicates that the id field at the formats vector should be used
  delimiter | Delimiters to split entries on the format
  formats | A struct dvb_parse_struct vector with the per delivery system parsers. This table should terminate with an empty entry.

Definition at line 203 of file dvb-file.h.

## Field Documentation

## ◆ delimiter

char* dvb_parse_file::delimiter

Definition at line 205 of file dvb-file.h.

## ◆ formats

struct dvb_parse_struct dvb_parse_file::formats[]

Definition at line 206 of file dvb-file.h.

## ◆ has_delsys_id

int dvb_parse_file::has_delsys_id

Definition at line 204 of file dvb-file.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-file.h